Reset curation feeds
POST
/api/v3/curations/feeds/reset
const url = 'https://api.tryletterhead.com/api/v3/curations/feeds/reset?api=true';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"feedUniqueIds":["feed_7x2mle"]}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url 'https://api.tryletterhead.com/api/v3/curations/feeds/reset?api=true' \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "feedUniqueIds": [ "feed_7x2mle" ] }'Reset one or more RSS or JSON data feeds back to a ready-to-crawl state β use after fixing a feed thatβs stuck in an error status.
Authorizations
Section titled βAuthorizations βParameters
Section titled β Parameters βQuery Parameters
Section titled βQuery Parameters β api
required
boolean
Required. Set to true to authenticate with your company API key rather than a signed-in session.
Request Body required
Section titled βRequest Body required β Media type application/json
object
feedUniqueIds
required
Array<string>
Example
{ "feedUniqueIds": [ "feed_7x2mle" ]}Responses
Section titled β Responses βFeed reset operation completed
Feed reset operation failed
Still can’t find what you need? Contact support.